MGASA-2020-0456 - Updated x11-server packages fix security vulnerabilities

Publication date: 17 Dec 2020
URL: https://advisories.mageia.org/MGASA-2020-0456.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2020-14360,
     CVE-2020-25712

A flaw was found in the X.Org Server. An out-of-bounds access in the XkbSetMap
function may lead to a privilege escalation vulnerability. The highest threat
from this vulnerability is to data confidentiality and integrity as well as
system availability (CVE-2020-14360).

A flaw was found in xorg-x11-server. A heap-buffer overflow in XkbSetDeviceInfo
may lead to a privilege escalation vulnerability. The highest threat from this
vulnerability is to data confidentiality and integrity as well as system
availability (CVE-2020-25712).

The x11-server package has been updated to version 1.20.10, fixing these issues
and other bugs.

References:
- https://bugs.mageia.org/show_bug.cgi?id=27701
- https://lists.x.org/archives/xorg-announce/2020-December/003066.html
- https://lists.x.org/archives/xorg-announce/2020-December/003067.html
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/6NULSZT4JH6WPRE73VQI4A42OU32HKTH/
- https://ubuntu.com/security/notices/USN-4656-1
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14360
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-25712

SRPMS:
- 7/core/x11-server-1.20.10-1.1.mga7